com.pivotal.gemfirexd.internal.client.net

## Class NetConnection.DSConnectionInfo

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.NetConnection.DSConnectionInfo

Enclosing class:
  NetConnection

    public static final class NetConnection.DSConnectionInfo
    extends Object

Simple structure to encapsulate the network-servers in a distributed system, and statements to be used against locators/servers to obtain load-balanced connections etc.

### Method Summary

Methods
`NetConnection` `getConnectionForThisServerURLFromBQ(String host, String port, Connection conn)`
`HashMap` `getServerToConnMap()`
`void` `removeConnection(NetConnection conn)`
`void` `returnConnection(NetConnection conn)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getServerToConnMap

    public HashMap getServerToConnMap()

#### getConnectionForThisServerURLFromBQ

    public NetConnection getConnectionForThisServerURLFromBQ(String host,
                                                    String port,
                                                    Connection conn)
                                                      throws SQLException,
                                                             SqlException

Throws:
  `SQLException`
  `SqlException`

#### returnConnection

    public void returnConnection(NetConnection conn)
                          throws SqlException

Throws:
  `SqlException`

#### removeConnection

    public void removeConnection(NetConnection conn)
                          throws InterruptedException

Throws:
  `InterruptedException`